
--[=[
tests can be categoried into different **groups**

latest tracks a `current' group, you can use the `group' function
to set the current group.

there is a `default' group, so you don't have to call group function
before specify your testcases.

groups are run in the order they first defined, but the run  order of
tests of any group is intentionally not retained.
]=]

-- set current group, create one if not already exists
group "group one"

test("test one", function ()
   print "test one of group one running."
end)

test("test two", function ()
   print "test two of group one running."
end)


-- define another group
group "group two"

test("test one", function ()
   print "test one of group two running."
end)

test("test two", function ()
   print "test two of group two running."
end)


-- define more test for group one
group "group one"

test("test three", function ()
   print "test three of group one running."
end)

