
--[=[
groups and tests can be marked as disabled or ignored.

in current implementation, a disabled or ignored group or test will
not be run. but the different status will be reflected on reporting.
furture work might let a ignored test or group be run, with the result
ignored (yet still logged).

actually the `group' or `test' function returns a object(table)
representing the group or test. call the `disable' or `ignore' on the
objects will disable or ignore them, accordingly.

ingore and disable and take an optional arguments as a comment.
]=]

group "this group contains ignored and disabled tests"

test("ignored test", function ()
   print "this test is ignored."
   assertthat(my_object, isa("table"))
end)
:ignore("legacy or obsolete codes")

test("disabled test", function ()
   print "this test is disabled."
end)
:disable("not implemented yet")

test("normal test", function ()
   failbecause "this test is not ignored or disabled."
end)
--:disable()

group "this entire group is disabled"
:disable()

test("normal test of a disabled group", function ()
   print "this test won't run since the group is disabled."
end)

