
--[=[
because of the way how tests are registered with latest, you may
simply `load' other test files. latest also provides a `loadtest'
function, as explained below.
]=]

-- use loadtest to load other .lua files. you may optionally
-- provide as the second argument a group name to load in.
loadtest("more/a.lua", "more tests")
loadtest("more/b.lua", "more tests")

-- the above function call is basically equvalent with the following.
--[=[
if not latest.loaded["more/b.lua"] then
   grouppush("more tests")
   local oldrunall = runall
   runall = function () end
   dofile("more/b.lua")
   runall = oldrunall
   grouppop()
end
--]=]

