
--[=[
testcases are defined as (often anonymous) functions.
you register them with the `test' function.
the first argument is the name/description of the testcase.
the second argument is the test code as a function itself.
]=]


-- if you use the `runlatest' script to load, you don't have to
-- load it manually here. if you run this script standalone,
-- you need to manually `require' it.
--local latest = require "latest"


-- testcases not raising assertion failures would just succeed
test("empty testcase", function ()
end)

test("very simple testcase", function ()
   local result = 1 + 2
   assertthat(result, equalto(3))
end)

test("testcase to fail", function ()
   assertthat(this_undefine_variable, notnil)
end)

-- test can be explicitly marked to fail.
test("another testcase to fail", function ()
   failbecause "intentional failure"
end)


-- again, if you run this script standalone, uncomment the following 
--latest.runall()
--latest.report()

